// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {

  const itemsToRemove = [
    // Netherite
    'minecraft:netherite_upgrade_smithing_template',

    // Vanilla Stone Tools
    'minecraft:stone_pickaxe',
    'minecraft:stone_axe',
    'minecraft:stone_sword',
    'minecraft:stone_hoe',
    'minecraft:stone_shovel',
    'minecraft:furnace',
    'armageddon_mod:bloody_sword',
    'armageddon_mod:bloody_shovel',
    'terramity:sword_of_the_imprisoned',
    'armageddon_mod:helionite_bricks',
    'armageddon_mod:bloody_bricks',
    'armageddon_mod:mossy_helionite_bricks',
    'armageddon_mod:mossy_helionite_stairs',
    'armageddon_mod:mossy_bloody_bricks',
    'armageddon_mod:mossy_bloody_stairs',

    // Modded Stone Tools
    'mekanismtools:stone_paxel',
    'lethality:stone_bafs',
    'armageddon_mod:stone_throwing_dagger'
  ]

  itemsToRemove.forEach(item => {
    event.remove({ output: item })
  })

})

ServerEvents.recipes(event => {
  const furnaceRecipe = (stone) => {
    event.shaped('minecraft:furnace', [
      'SSS',
      'SCS',
      'SSS'
    ], {
      S: stone,
      C: 'minecraft:coal'
    })
  }

  furnaceRecipe('#forge:cobblestone')
  furnaceRecipe('terramity:igneostone')
})

ServerEvents.recipes(event => {
    event.shaped('minecraft:netherite_upgrade_smithing_template', [
      'aba',
      'ded',
      'ddd'
    ], {
      a: 'minecraft:netherite_ingot',
      b: 'minecraft:netherite_upgrade_smithing_template',
      d: 'minecraft:diamond',
      e: 'quark:netherrack_bricks',
    }).result('2x minecraft:netherite_upgrade_smithing_template');
    event.shaped('minecraft:enchanted_book', [
      'ed ',
      'a  ',
      '   '
    ], {
      a: 'minecraft:lava_bucket',
      d: 'minecraft:pufferfish',
      e: 'minecraft:book',
    }).result('1x minecraft:enchanted_book');
      event.shaped('kubejs:ascendral_alloy', [
      'abc',
      'def',
      'ghi'
    ], {
      a: 'kubejs:ascendral_shard',
      b: 'kubejs:ascendral_shard',
      c: 'kubejs:ascendral_shard',
      d: 'kubejs:ascendral_shard',
      e: 'kubejs:ascendral_shard',
      f: 'kubejs:ascendral_shard',
      g: 'kubejs:ascendral_shard',
      h: 'kubejs:ascendral_shard',
      i: 'kubejs:ascendral_shard',
    }).result('1x kubejs:ascendral_alloy');
      event.shaped('kubejs:ascendral_star', [
      ' b ',
      'd f',
      ' h '
    ], {
      b: 'kubejs:ascendral_alloy',
      d: 'kubejs:ascendral_alloy',
      f: 'kubejs:ascendral_alloy',
      h: 'kubejs:ascendral_alloy',
    }).result('1x kubejs:ascendral_star');
});